apiVersion: apps/v1
kind: Deployment
metadata:
  name: mongo-deployment
  labels:
    apps: mongodb
spec:
  replicas: 1
  selector:
    matchLabels:
      app: mongodb
  template:
    metadata:
      labels:
        app: mongodb
    spec:
      containers:
      - name: mongodb
        image: mongo
        resources:
          limits:
            memory: "80Mi"
            cpu: "100m"
        env:
          - name: MONGO_INITDB_ROOT_USERNAME
            valueFrom:
              secretKeyRef:
                name:  mongodb-secret
                key: username
          - name: MONGO_INITDB_ROOT_PASSWORD
            valueFrom:
              secretKeyRef:
                name:  mongodb-secret
                key: password
        ports:
        - containerPort: 9092
